# Google App Engine Admin API . apps . services . versions . instances

## Instance Methods

Lists the instances of a version.

Retrieves the next page of results.

### Method Details

`list(appsId, servicesId, versionsId, pageSize=None, x__xgafv=None, pageToken=None)`

    Lists the instances of a version.

    Args:
      appsId: string, Part of `name`. Name of the resource requested. For example: "apps/myapp/services/default/versions/v1". (required)
      servicesId: string, Part of `name`. See documentation of `appsId`. (required)
      versionsId: string, Part of `name`. See documentation of `appsId`. (required)
      pageSize: integer, Maximum results to return per page.
      x__xgafv: string, V1 error format.
      pageToken: string, Continuation token for fetching the next page of results.

    Returns:
      An object of the form:

        { # Response message for `Instances.ListInstances`.
        "nextPageToken": "A String", # Continuation token for fetching the next page of results.
        "instances": [ # The instances belonging to the requested version.
          { # Instances are the computing units that App Engine uses to automatically scale an application.
            "errors": 42, # Number of errors since the instance was started. @OutputOnly
            "name": "A String", # The full path to the Instance resource in the API. Example: "apps/myapp/services/default/versions/v1/instances/instance-1" @OutputOnly
            "startTimestamp": "A String", # Time when instance was started. @OutputOnly
            "appEngineRelease": "A String", # The App Engine release the instance is running on. @OutputOnly
            "vmId": "A String", # For VMEngines instances, the GCE VM ID of the instance. @OutputOnly
            "memoryUsage": "A String", # Memory usage (in bytes). @OutputOnly
            "id": "A String", # The relative name/path of the instance within the version. Example: "instance-1" @OutputOnly
            "vmUnlocked": True or False, # For VMEngines instances, whether the instance has been unlocked. @OutputOnly
            "averageLatency": 42, # Latency in milliseconds (averaged over the last minute). @OutputOnly
            "qps": 3.14, # QPS for this instance (averaged over the last minute). @OutputOnly
            "requests": 42, # Number of requests (since the clone was started). @OutputOnly
            "vmName": "A String", # For VMEngines instances, the name of GCE VM where the instance lives. @OutputOnly
            "availability": "A String", # Availability of instance. @OutputOnly
            "vmZoneName": "A String", # For VMEngines instances, the zone where the GCE VM is located. @OutputOnly
            "vmStatus": "A String", # For VMEngines instances, the status of GCE VM where the instance lives. @OutputOnly
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.